version: '3.8'

services:
  usermicroservice:
    build:
      context: ./UserMicroservice
    image: usermicroservice:${IMAGE_TAG}
    ports:
      - "${USER_MICROSERVICE_PORT}:8080"
    environment:
      - ASPNETCORE_ENVIRONMENT=Production
      - DOTNET_RUNNING_IN_CONTAINER=true
      - ConnectionStrings__DefaultConnection=Server=host.docker.internal;Port=${DB_PORT};Database=${DB_NAME};User=${DB_USER};Password=${DB_PASSWORD};CharSet=${DB_CHARSET}
      - Jwt__Key=0QTrd3jToEYj205k01A2R87Hc5YpqDNeywg7JzQpczs=
      - Jwt__Issuer=http://localhost:${USER_MICROSERVICE_PORT}
      - Jwt__Audience=http://localhost:${USER_MICROSERVICE_PORT}

  flightmicroservice:
    build:
      context: ./FlightMicroservice
    image: flightmicroservice:${IMAGE_TAG}
    ports:
      - "5175:8080"
    environment:
      - ASPNETCORE_ENVIRONMENT=Production
      - DOTNET_RUNNING_IN_CONTAINER=true
      - ConnectionStrings__DefaultConnection=Server=host.docker.internal;Port=${DB_PORT};Database=${DB_NAME};User=${DB_USER};Password=${DB_PASSWORD};CharSet=${DB_CHARSET}
      - Jwt__Key=0QTrd3jToEYj205k01A2R87Hc5YpqDNeywg7JzQpczs=
      - Jwt__Issuer=http://localhost:${USER_MICROSERVICE_PORT}
      - Jwt__Audience=http://localhost:${USER_MICROSERVICE_PORT}

  client:
    build:
      context: ./client
    image: client:${IMAGE_TAG}
    ports:
      - "4200:4200"



# ... other services
